gnutls_pkcs7_get_crl_raw(3)

NAME
gnutls_pkcs7_get_crl_raw - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_pkcs7_get_crl_raw(gnutls_pkcs7_t pkcs7, int indx, void * crl, size_t * crl_size);

ARGUMENTS

gnutls_pkcs7_t pkcs7
    should contain a gnutls_pkcs7_t structure

int indx
    contains the index of the crl to extract

void * crl
    the contents of the crl will be copied there (may be null)

size_t * crl_size
    should hold the size of the crl

DESCRIPTION
This function will return a crl of the PKCS7 or RFC2630 crl set.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value. If the provided buffer is not long enough, then crl_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER is returned. After the last crl has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/